| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ObjectImmutablePropertiesMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- ObjectImmutablePropertiesMap ()
- ObjectImmutablePropertiesMap (const QMap< QDBusObjectPath, QVariantMap > &a)
- ObjectImmutablePropertiesMap & operator= (const QMap< QDBusObjectPath, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QDBusObjectPath, QVariantMap>, but needed to have a discrete type in the Qt type system.

A mapping from object path to the immutable properties of the object.

## Constructor & Destructor Documentation

Tp::ObjectImmutablePropertiesMap::ObjectImmutablePropertiesMap | ( |  | ) | `[inline]`

Tp::ObjectImmutablePropertiesMap::ObjectImmutablePropertiesMap | ( | const QMap< QDBusObjectPath, QVariantMap > & | a | ) | `[inline]`

## Member Function Documentation

ObjectImmutablePropertiesMap& Tp::ObjectImmutablePropertiesMap::operator= | ( | const QMap< QDBusObjectPath, QVariantMap > & | a | ) | `[inline]`